Create a prompt version message
curl --request POST \
--url https://api.tela.com/prompt-version-message \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"promptVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"markdownContent": "<string>",
"index": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.tela.com/prompt-version-message"
payload = {
"promptVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"markdownContent": "<string>",
"index": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
promptVersionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
content: '<string>',
markdownContent: '<string>',
index: 123,
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.tela.com/prompt-version-message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tela.com/prompt-version-message",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'promptVersionId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'content' => '<string>',
'markdownContent' => '<string>',
'index' => 123,
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tela.com/prompt-version-message"
payload := strings.NewReader("{\n \"promptVersionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"content\": \"<string>\",\n \"markdownContent\": \"<string>\",\n \"index\": 123,\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tela.com/prompt-version-message")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"promptVersionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"content\": \"<string>\",\n \"markdownContent\": \"<string>\",\n \"index\": 123,\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tela.com/prompt-version-message")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"promptVersionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"content\": \"<string>\",\n \"markdownContent\": \"<string>\",\n \"index\": 123,\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"id": "c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f",
"promptVersionId": "9d2e4f6a-1b3c-4d5e-8f70-1a2b3c4d5e6f",
"role": "system",
"content": "Extract the invoice total from {{invoice}}.",
"markdownContent": null,
"index": 0,
"createdBy": "ana@example.com",
"updatedBy": "ana@example.com",
"createdAt": "2026-08-19T09:41:00.000Z",
"updatedAt": "2026-08-19T09:41:00.000Z",
"deletedAt": null
}Prompt Version Message
Create a prompt version message
Attaches a message to a prompt version. This is the supported way to write prompt content to an existing version: create the version with POST /prompt-version (optionally passing a single message), then manage its content here.
POST
/
prompt-version-message
Create a prompt version message
curl --request POST \
--url https://api.tela.com/prompt-version-message \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"promptVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"markdownContent": "<string>",
"index": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.tela.com/prompt-version-message"
payload = {
"promptVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"markdownContent": "<string>",
"index": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
promptVersionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
content: '<string>',
markdownContent: '<string>',
index: 123,
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.tela.com/prompt-version-message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tela.com/prompt-version-message",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'promptVersionId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'content' => '<string>',
'markdownContent' => '<string>',
'index' => 123,
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tela.com/prompt-version-message"
payload := strings.NewReader("{\n \"promptVersionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"content\": \"<string>\",\n \"markdownContent\": \"<string>\",\n \"index\": 123,\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tela.com/prompt-version-message")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"promptVersionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"content\": \"<string>\",\n \"markdownContent\": \"<string>\",\n \"index\": 123,\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tela.com/prompt-version-message")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"promptVersionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"content\": \"<string>\",\n \"markdownContent\": \"<string>\",\n \"index\": 123,\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"id": "c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f",
"promptVersionId": "9d2e4f6a-1b3c-4d5e-8f70-1a2b3c4d5e6f",
"role": "system",
"content": "Extract the invoice total from {{invoice}}.",
"markdownContent": null,
"index": 0,
"createdBy": "ana@example.com",
"updatedBy": "ana@example.com",
"createdAt": "2026-08-19T09:41:00.000Z",
"updatedAt": "2026-08-19T09:41:00.000Z",
"deletedAt": null
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Use system for the prompt content; other roles are accepted but are not read as the prompt.
Available options:
user, assistant, system, function Defaults to 0.
Optional client-supplied id.
Response
The created message.
Available options:
user, assistant, system, function Position of the message inside the version. The prompt is read from index 0.
Plain-text prompt content. May use {{variable}} placeholders.